- name: Deploy CPUPublisher
  block:	
  - name: Install bc package
    apt:
      name: bc
      state: installed
  - name: Upload Publisher Script
    copy:
      src: publisher.sh
      dest: /home/ubuntu/publisher.sh
  when: task == "DEPLOY"
  become_user: root
  
- name: Configure CPUPublisher
  block:
  - name: Make script executable
    file:
      path: /home/ubuntu/publisher.sh
      mode: 0777
  when: task == "CONFIGURE"
  become_user: root
  
- name: Start CPUPublisher
  block:
  - name: Execute publisher script
    command: start-stop-daemon --start --startas /home/ubuntu/publisher.sh {{ result_provider_endpoint }} {{ monitorable_property_target }} {{ monitorable_property_property }} {{ sensor }} {{ monitorable_property }} -m --pidfile /run/publisher.pid -b
  when: task == "START"
  become_user: root
  
- name: Stop CPUPublisher
  block:
  - name: Stop publisher script
    command: start-stop-daemon --stop -m --pidfile /run/publisher.pid
  when: task == "STOP"
  become_user: root

- name: Undeploy CPUPublisher
  block:
  - debug: msg="To be implemented."
  when: task == "UNDEPLOY"
  become_user: root

